<template>
    <div class="next-step">
        <router-link :to="To">Next Step --></router-link>
    </div>
</template>

<style lang='scss' scoped>
    .next-step {
        width: 100%;
        color: darkcyan;
        text-align: center;
        font-family: Raleway, sans-serif;
        font-size: 20px;

        a {
            text-decoration: none;
        }

        &:hover {
            color: black;
        }
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	
	@Component({
		props: {
			to: String
		}
	})
	export default class NextStep extends Vue {
		private to?: string;

		get To(): string {
			return `/tutorial/create/${this.to!}`;
		}
	}
</script>
